Update GMP/MPFR build instructions for SPARC/Solaris

Kaveh R. GHAZI ghazi@caip.rutgers.edu
Thu Nov 2 22:54:00 GMT 2006


On Thu, 2 Nov 2006, Eric Botcazou wrote:

> > Are the instructions requiring the user to supply a --build=system still
> > necessary?
>
> Yes, I think so.
>
> > What bug is it supposed to solve?
>
> PR libfortran/26893 for example.
>
> Do you use it with your sparc-sun-solaris2.10 compiler?  Do you not have an
> old GMP 4.1.x installed?  The problem doesn't show up on Solaris 10 with GMP
> 4.1.x but it definitely does with GMP 4.2.1 on my machine.
> Eric Botcazou

Oh, that.  Yes, I use sun's cc with gmp 4.2.1 on solaris 10.  I solved the
problem from the PR by setting ABI=32 as per the instructions here:
http://www.swox.com/gmp/manual/ABI-and-ISA.html#ABI-and-ISA

I think it recommends using --build= or --host= as a workaround hack for
cross compiling from 32-bit to 64-bit on systems without 64-bit turned on
in the kernel.

I'm not sure whether using --build= pessimizes gmp to use generic sparc
instructions as opposed to ultrasparc.  So maybe recommending ABI=32 is
better?

		--Kaveh
--
Kaveh R. Ghazi			ghazi@caip.rutgers.edu



More information about the Gcc-patches mailing list